%global commit0 46c69549ab99a24ca1e7ec28e70f0b911f3ae612
%global date 20220521
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global tag %{version}

%global debug_package %{nil}
%global dkms_name ryzen_smu
%define modprobed_dir /etc/modprobe.d

Name:       dkms-%{dkms_name}
Version:    0.1.5
Release:    1%{?dist}
Summary:    A Linux kernel driver that exposes access to the SMU
License:    GPLv2
URL:        https://gitlab.com/leogx9r/%{dkms_name}
BuildArch:  noarch

%if 0%{?tag:1}
Source0:    %{URL}/-/archive/v%{version}/%{dkms_name}-v%{version}.tar.bz2
%else
Source0:    %{URL}/-/archive/%{commit0}/%{dkms_name}-%{commit0}.tar.bz2
%endif
# auto add blacklist config for k10temp module
#Source1:   #{name}.conf
# maybe add more commits after the release for fixes
# maybe from master branch or from this fork
# https://github.com/linnaea/ryzen_smu/commits/master

BuildRequires:  sed
Provides:   %{dkms_name}-kmod = %{?epoch:%{epoch}:}%{version}
Requires:   dkms
Requires:   kernel-devel

%description
Ryzen SMU is a Linux kernel driver that exposes access to the SMU (System Management Unit) for
certain AMD Ryzen Processors.

%prep
%if 0%{?tag:1}
%autosetup -p1 -n %{dkms_name}-v%{version}
%else
%autosetup -p1 -n %{dkms_name}-%{commit0}
%endif

sed -i -e "s/@CFLGS@//" -e "s/@VERSION@/%{version}/" dkms.conf

%build

%install
# Create empty tree:
mkdir -p %{buildroot}%{_usrsrc}/%{dkms_name}-%{version}/
install -m 0644 dkms.conf %{buildroot}%{_usrsrc}/%{dkms_name}-%{version}/
install -m 0644 Makefile %{buildroot}%{_usrsrc}/%{dkms_name}-%{version}/
install -m 0644 drv.c %{buildroot}%{_usrsrc}/%{dkms_name}-%{version}/
install -m 0644 smu.{c,h} %{buildroot}%{_usrsrc}/%{dkms_name}-%{version}/
%post
dkms --rpm_safe_upgrade add -m %{dkms_name} -v %{version} -q || :
# Rebuild and make available for the currently running kernel:
dkms --rpm_safe_upgrade build -m %{dkms_name} -v %{version} -q || :
dkms --rpm_safe_upgrade install -m %{dkms_name} -v %{version} -q --force || :

%preun
# Remove all versions from DKMS registry:
dkms --rpm_safe_upgrade remove -m %{dkms_name} -v %{version} -q --all || :

%files
%{_usrsrc}/%{dkms_name}-%{version}

%changelog
* Sun Aug 27 2023 Christian Birk <mail@birkc.de> - 0.1.5-1
- new version

* Sat May 21 2022 H3o66 <chris.h3o66@gmail.com> - 0.1.2-2
- Update to commit 46c69549ab99a24ca1e7ec28e70f0b911f3ae612

* Sat May 21 2022 H3o66 <chris.h3o66@gmail.com> - 0.1.2-1
- Inital version

